Skip to navigation

List Companies with Assigned Super Admins

Returns a list of Companies with basic Company data and a count of Super Admins associated with them. The companyId returned with Company data may be used with B2B Edition Companies API endpoints (see Company Management or Companies and Users for more information).

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Query parameters

limitintegerOptional1-200Defaults to 10
Maximum number of entries to return per page of results.
offsetintegerOptional>=0Defaults to 0
The number of entries to skip before returning the current page of results.
orderByenumOptionalDefaults to DESC

Determines whether results will be sorted in acending (ASC) or descending (DESC) order.

Allowed values:

Response

SUCCESS
codeintegerOptionalDefaults to 200
datalist of objectsOptional
metaobjectOptional